uCANca - Bug #80

Function SubSystem editor is not possible
06/27/2014 05:27 PM - Txinto Vaz

Status: Feedback Start date: 06/27/2014
Priority: Normal Due date:

Assignee: Txinto Vaz % Done: 40%
Category: Estimated time: 0.50 hour
Target version: v0.15 Spent time: 4.50 hours
Description

The form is not working, as there is no selector for SubSystem.

History

#1 - 06/27/2014 05:27 PM - Txinto Vaz
- Estimated time set to 0.50 h

#2 - 06/27/2014 05:31 PM - Txinto Vaz

- Status changed from New to In Progress

We have this auto-code for the form:

<def tag="form" for="FunctionSubSystem">
<form merge param="default">
<error-messages param/>
<field-list fields="name, implementacion, position, function, sub_system" param/>
<div param="actions">
<submit label="#{ht 'function_sub_system.actions.save', :default=>['Save']}" param/><or-cancel param="
cancel"/>
</div>
</form>
</def>

But we override it with the name-one in the sub_system view:

<extend tag="form" for="FunctionSubSystem">
<old-form merge param="default">
<field-list:>
<function-view:>
<name-one/>
</function-view:>
</field-list:>
</old-form>
</extend>

<extend tag="form" for="FunctionSubSystem">
<old-form merge param="default">
<field-1list: fields="name, function, sub_system, implementacion"/>
</old-form>
</extend>

#3 - 06/27/2014 09:23 PM - Txinto Vaz
- % Done changed from 0 to 40

We have changed form so as to have it solved, but the subsystem field does not appear.
We think it is ok for now, this issue will be frozen until we discover what happen.

#4 - 06/27/2014 09:23 PM - Txinto Vaz

- Status changed from In Progress to Feedback

#5 - 06/27/2014 09:26 PM - Txinto Vaz
See c33b39ad
http://gatatac.org/projects/ucanca/repository/revisions/c33b39ad21b20beffb8e0aa52776ca37ce692114

#6 - 06/28/2014 12:21 AM - Txinto Vaz
See c33b39ad
